%define sourcever %(echo %version | cut -d. -f3 | sed 's/svn//' | tr _ -)
%define xmms_plugindir %(xmms-config --input-plugin-dir)
%define skin_blue_ver  1.8

%define with_gui       1
%define with_mencoder  1
%define with_plf       1

Name:          mplayer
Epoch:         1
Version:       1.1.1
Release:       1mamba
Summary:       MPlayer, the Movie Player for Linux
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://mplayerhq.hu/
Source0:       http://www2.mplayerhq.hu/MPlayer/releases/MPlayer-%{version}.tar.xz
#Source0:       http://www2.mplayerhq.hu/MPlayer/releases/mplayer-export-snapshot.tar.bz2
#Source0:       http://www2.mplayerhq.hu/MPlayer/releases/mplayer-export-%{sourcever}.tar.bz2
Source1:       http://www.mplayerhq.hu/MPlayer/skins/Blue-%{skin_blue_ver}.tar.bz2
Source2:       mplayer.desktop
Patch0:        %{name}-0.90pre9-runtimemsg.patch
Patch1:        %{name}-1.0rc2-playlist.patch
Patch5:        %{name}-1.0rc1-liblzo.patch
Patch6:        %{name}-1.0rc2-vo_ivtv.patch
Patch7:        %{name}-1.0rc2.svn2009_07_12-x264.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: enca-devel
BuildRequires: glibc-devel
BuildRequires: liba52dec-devel
BuildRequires: libaa-devel
BuildRequires: libalsa-devel
BuildRequires: libass-devel
BuildRequires: libatk-devel
BuildRequires: libaudio-devel
BuildRequires: libbluray-devel
BuildRequires: libbzip2-devel
BuildRequires: libcaca-devel
BuildRequires: libcairo-devel
BuildRequires: libcdio-devel
BuildRequires: libdca-devel
BuildRequires: libdirac-devel
BuildRequires: libdirectfb-devel
BuildRequires: libdv-devel
BuildRequires: libesound-devel
BuildRequires: libfaac-devel
BuildRequires: libfaad2-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libfribidi-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libgsm-devel
BuildRequires: libgtk2-devel
%if "%{stage1}" != "1"
BuildRequires: libjack-devel
%endif
BuildRequires: libjpeg-devel
BuildRequires: liblame-devel
%ifarch %{ix86}
BuildRequires: liblrmi-devel
%endif
BuildRequires: liblzo-devel
BuildRequires: libmad-devel
BuildRequires: libmng-devel
BuildRequires: libncurses-devel
BuildRequires: libogg-devel
BuildRequires: libopenal-devel
BuildRequires: libopencore-amr-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libpulseaudio-devel
BuildRequires: librtmp-devel
BuildRequires: libschroedinger-devel
BuildRequires: libSDL-devel
BuildRequires: libsmbclient-devel
BuildRequires: libspeex-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtheora-devel
BuildRequires: libtwolame-devel
BuildRequires: libgif-devel
%ifarch %{ix86}
BuildRequires: libvbe-devel
%endif
BuildRequires: libvdpau-devel
BuildRequires: libvpx-devel
BuildRequires: libX11-devel
BuildRequires: libx264-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
#%if "%{stage1}" != "1"
#BuildRequires: libxmms-devel
#%endif
BuildRequires: libXScrnSaver-devel
BuildRequires: libXt-devel
BuildRequires: libXv-devel
BuildRequires: libxvidcore-devel
BuildRequires: libXxf86dga-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libz-devel
%if "%{stage1}" != "1"
BuildRequires: lirc-devel
%endif
BuildRequires: mpg123-devel
BuildRequires: mplayer-fonts
BuildRequires: perl-devel
## AUTOBUILDREQ-END
%if "%{stage1}" != "1"
BuildRequires: libbio2jack-devel
%endif
#BuildRequires: libdvdread-devel
BuildRequires: libvorbis-devel
BuildRequires: libmatroska-devel
BuildRequires: libao-devel
%if %with_plf
BuildRequires: liblame-devel
BuildRequires: libfaad2-devel
#BuildRequires: libdvdcss-devel
%endif
%ifarch %{ix86}
BuildRequires: divx4linux-devel
BuildRequires: libvbe-devel
%endif
BuildRequires: ladspa-devel
#BuildRequires: libmad-devel
#BuildRequires: libflac-devel
#BuildRequires: libdvdnav-devel
Requires:      mplayer-fonts
%if %with_mencoder
Requires:      mencoder = %{?epoch:%epoch:}%{version}-%{release}
%endif
Provides:      MPlayer = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libhda
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# FIXME
# Checking for DVD support (libmpdvdkit2) ... no
# Checking for libdts support ... no
# Checking for LADSPA plugin support ... no
# Checking for XAnim DLL ... no (no suitable directory found
# Checking for DivX4 compatibility in XviD ... no
# Checking for Capture for Radio interface ... no
# Checking for Video 4 Linux 2 Radio interface ... no
# Checking for Video 4 Linux Radio interface ... no
# Checking for Video 4 Linux 2 MPEG PVR interface ... no
# Checking for vstream client ... no
# Checking for VIDIX (external) ... no

# FIXME: software patents problems, if any (liblame, libfaad (?))

%description
MPlayer is a movie player that plays most video formats as well as DVDs. Its big feature is the wide range of supported output drivers. There are also nice antialiased shaded subtitles and OSD.

##%package -n libdha
##Summary:        Support library for MPlayer's vidix video drivers
##Group:          System/Libraries
#
##%description -n libdha
##This package contains the libdha shared library required by the vidix video output drivers of MPlayer.

%if %with_mencoder
%package -n mencoder
Summary:        MPlayer's movie encoder
Group:          Applications/Multimedia
Requires:       %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n mencoder
MEncoder a movie encoder and is a part of the MPlayer package.
%if ! %with_plf
Note: this version doesn't have support for encoding mp3 audio streams in the video files.
%else
This PLF build has additional support for AAC decoding with libfaad and MP3 encoding with lame, both are covered by software patents.
It also includes support for reading DVDs encrypted with CSS which might be illegal in some countries.
%endif
%endif

%if %with_gui
%package gui
Summary:       GUI for MPlayer
Group:         Graphical Desktop/Applications/Multimedia
BuildRequires: libgtk-devel >= 2.6.7
BuildRequires: libglib1-devel >= 1.2.10
BuildRequires: ImageMagick
Provides:      MPlayer-gui
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description gui
MPlayer is a movie player that plays most video formats as well as DVDs. Its big feature is the wide range of supported output drivers. There are also nice antialiased shaded subtitles and OSD.
This package contains a GUI for MPlayer.
%endif

%prep
%setup -q -n MPlayer-%{version}
#mplayer-export-%{sourcever}
#%patch0 -p1 -b .runtimemsg
#%patch1 -p1 -b .playlist
#%patch5 -p1 -b .liblzo_path
#%patch7 -p1

%build
find . -name "CVS" | xargs rm -rf

%if %with_plf
%define realpath %{_libdir}/RealPlayer9/Codecs
%else
%define realpath %{_libdir}/win32
%endif

# not a standard configure script
CC=%{_host}-gcc CPP=%{_host}-cpp \
./configure \
   --prefix=%{_prefix} \
   --datadir=%{_datadir}/%{name} \
   --confdir=%{_sysconfdir}/%{name} \
   --mandir=%{_mandir} \
%ifarch %{ix86} x86_64
   --enable-mmx \
   --enable-mmxext \
   --enable-3dnowext \
   --enable-sse \
   --enable-sse2 \
   --enable-fastmemcpy \
%endif
%ifarch %{ix86} x86_64 ppc
   --enable-runtime-cpudetection \
%endif
   --enable-dynamic-plugins \
   --enable-freetype \
%if %with_gui
   --enable-gui \
%endif
   --enable-libdca \
   --language=all \
   --enable-joystick \
%if %with_mencoder
   --enable-mencoder \
%else
   --disable-mencoder \
%endif
   --enable-theora \
   --enable-menu \
   --enable-radio \
   --enable-radio-capture \
%if "%{stage1}" != "1"
   --enable-xmms \
   --enable-jack \
%endif
   --enable-smb \
   --disable-arts \
   --enable-fribidi \
   --enable-liblzo \
   --enable-libvorbis \
   --enable-xshape \
   --codecsdir=%{_libdir}/win32 \
%if ! %with_plf
   --disable-internal-faad \
   --disable-mpdvdkit \
%endif
   --enable-x11 \
   --extra-ldflags="\
%if "%{stage1}" != "1"
-ljack \
%endif
 -lfribidi -ldca -lX11 -lXext"

#   --realcodecsdir=%{realpath} \
#   --disable-libavformat_a \
#   --disable-libavutil_a \
#   --with-extralibdir="%{_libdir}/samba" \
# -ljack: workaround to link against jack library
make
#make -C vidix

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# install the default Skin
install -d %{buildroot}%{_datadir}/mplayer/Skin/
tar -xjf %{S:1} -C %{buildroot}%{_datadir}/mplayer/Skin/
ln -s Blue %{buildroot}%{_datadir}/%{name}/Skin/default

install -m 644 etc/example.conf %{buildroot}%{_sysconfdir}/%{name}/mplayer.conf
install -m 644 etc/codecs.conf %{buildroot}%{_sysconfdir}/%{name}
install -m 644 etc/input.conf %{buildroot}%{_sysconfdir}/%{name}
install -m 644 etc/menu.conf %{buildroot}%{_sysconfdir}/%{name}

%if %with_mencoder
install -m 755 TOOLS/{divx2svcd.sh,mencvcd.sh,midentify.sh,wma2ogg.pl} \
   %{buildroot}%{_bindir}
%endif

%if %with_gui
#install -d %{buildroot}%{_datadir}/pixmaps
## install icons
#install -D -m644 gui/mplayer/pixmaps/mplayer-desktop.xpm \
#   %{buildroot}%{_datadir}/mplayer/mplayer-desktop.xpm
#install -D -m644 etc/mplayer.xpm \
#   %{buildroot}%{_datadir}/pixmaps/mplayer.xpm

## FIXME : use a better location for icons
#install -d %{buildroot}%{_datadir}/icons/{16x16,32x32,48x48}
#( cd %{buildroot}%{_datadir}/mplayer/Skin/Blue/icons/
#  convert -transparent white icon48x48.png \
#     %{buildroot}%{_datadir}/icons/48x48/gmplayer.png
#  convert -transparent white icon32x32.png \
#     %{buildroot}%{_datadir}/icons/32x32/gmplayer.png
#  convert -transparent white -scale 16x16 icon48x48.png \
#     %{buildroot}%{_datadir}/icons/16x16/gmplayer.png )

#rm -f %{buildroot}%{_datadir}/applications/mplayer.desktop
#
## add system menu entry for KDE
#install -D -m644 %{S:2} \
#   %{buildroot}%{_datadir}/applications/%{name}.desktop
%endif

%if %with_gui
%pre gui
if [ -d %{_datadir}/%{name}/Skin/default ]; then
   rm -rf %{_datadir}/%{name}/Skin/default
fi
exit 0
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%{_bindir}/midentify.sh
%{_bindir}/mplayer
%dir %{_datadir}/mplayer
#%dir %{_libdir}/mplayer
#%dir %{_libdir}/mplayer/vidix
#%{_libdir}/mplayer/vidix/*so
%dir %{_sysconfdir}/mplayer
%config(noreplace) %{_sysconfdir}/mplayer/codecs.conf
%config(noreplace) %{_sysconfdir}/mplayer/input.conf
%config(noreplace) %{_sysconfdir}/mplayer/menu.conf
%config(noreplace) %{_sysconfdir}/mplayer/mplayer.conf
%{_mandir}/man1/mplayer.1*
%lang(cs) %{_mandir}/cs/man1/mplayer.1*
%lang(de) %{_mandir}/de/man1/mplayer.1*
%lang(es) %{_mandir}/es/man1/mplayer.1*
%lang(fr) %{_mandir}/fr/man1/mplayer.1*
%lang(hu) %{_mandir}/hu/man1/mplayer.1*
%lang(it) %{_mandir}/it/man1/mplayer.1*
%lang(pl) %{_mandir}/pl/man1/mplayer.1*
%lang(sv) %{_mandir}/ru/man1/mplayer.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mplayer.1*
%doc README DOCS/default.css DOCS/tech/

%if %with_mencoder
%files -n mencoder
%defattr(-,root,root)
%{_bindir}/divx2svcd.sh
%{_bindir}/mencoder
%{_bindir}/mencvcd.sh
%{_bindir}/wma2ogg.pl
%{_mandir}/man1/mencoder.*
%lang(cs) %{_mandir}/cs/man1/mencoder.1*
%lang(de) %{_mandir}/de/man1/mencoder.1*
%lang(es) %{_mandir}/es/man1/mencoder.1*
%lang(fr) %{_mandir}/fr/man1/mencoder.1*
%lang(hu) %{_mandir}/hu/man1/mencoder.1*
%lang(it) %{_mandir}/it/man1/mencoder.1*
%lang(pl) %{_mandir}/pl/man1/mencoder.1*
%lang(ru) %{_mandir}/ru/man1/mencoder.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/mencoder.1*
%endif

%if %with_gui
%files gui
%defattr(-,root,root)
%{_bindir}/gmplayer
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/mplayer.png
%{_datadir}/mplayer/Skin/default
%{_datadir}/mplayer/Skin/Blue/*
%endif

%changelog
* Mon May 06 2013 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- update to 1.1

* Fri Feb 18 2011 Automatic Build System <autodist@mambasoft.it> 1.0rc4-1mamba
- automatic update by autodist

* Thu Jul 22 2010 Automatic Build System <autodist@mambasoft.it> 1.0rc3-3mamba
- automatic rebuild by autodist

* Thu Jul 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0rc3-2mamba
- rebuilt with internal libavformat and libavutil due to incompatibility with ffmpeg 0.6

* Mon May 31 2010 Automatic Build System <autodist@mambasoft.it> 1.0rc3-1mamba
- update to 1.0rc3

* Mon Mar 08 2010 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-7mamba
- automatic rebuild by autodist

* Tue Dec 08 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-6mamba
- automatic rebuild by autodist

* Mon Dec 07 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-5mamba
- automatic rebuild by autodist

* Fri Oct 16 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-4mamba
- automatic rebuild by autodist

* Wed Aug 19 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-3mamba
- automatic rebuild by autodist

* Wed Aug 12 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_07_12-2mamba
- automatic rebuild by autodist

* Sat Jul 11 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2.svn2009_09_12-1mamba
- update to 1.0rc2.svn2009_07_12

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 1.0.svn2009_06_29-1mamba
- update to 1.0.svn20090629

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 1.0rc2-4mamba
- automatic rebuild by autodist

* Sat Apr 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0rc2-3mamba
- automatic rebuild by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0rc2-2mamba
- automatic rebuild by autodist

* Wed Oct 29 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0rc2-1mamba
- update to 1.0rc2

* Sun Jun 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-10mamba
- rebuild against updated libmpcdec

* Mon May 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-9mamba
- rebuilt against mplayer's release of libdvdnav (4.1.2)
- enabled libdca

* Mon May 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-8mamba
- update to 1.0rc2
- updated maintainer
- libdha: disable and obsolete

* Mon Jan 22 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-7qilnx
- update to version 1.0rc1 by autospec
- MPlayer Skin Blue updated to version 1.7
- dropped security patches against CAN-2005-2718, CVE-2005-4048,
  CVE-2006-0579, and CVE-2006-1502 (merged upstream)
- added some missing build requirements
- libpostproc and libpostproc-devel packages now belong to ffmpeg

* Mon Sep 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-6qilnx
- security fix: CVE-2006-0579, CVE-2006-1502 (bugzilla#132)

* Mon Feb 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-5qilnx
- rebuilt

* Tue Dec 20 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-4qilnx
- fixed CAN-2005-4048 (qibug#100)
- gcc4 fixes from current CVS
- new desktop file compatible with kappfinder

* Fri Sep 02 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-3qilnx
- security fix QSA-2005-101 (CAN-2005-2718)

* Thu Apr 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-2qilnx
- specfile modified to match QiLinux standards
- added mplayer configuration files
- package moved to QiLinux-devel
- added libpostproc-devel, libdha, mencoder, and gui packages

* Sun Sep 19 2004 Matteo Bernasconi <voyagernm@virgilio.it> 1.0-1qilnx
- first build
